Update contactfolder
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the properties of contactfolder object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Contacts.ReadWrite |
| Delegated (personal Microsoft account) | Contacts.ReadWrite |
| Application | Contacts.ReadWrite |
HTTP request
PATCH /me/contactFolders/{id}
PATCH /users/{id | userPrincipalName}/contactFolders/{id}
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
| Property | Type | Description |
|---|---|---|
| displayName | String | The folder's display name. |
| parentFolderId | String | The ID of the folder's parent folder. |
| wellKnownName | string | The name of the folder if the folder is a recognized folder. Currently contacts is the only recognized contacts folder. |
Response
If successful, this method returns a 200 OK response code and updated contactFolder object in the response body.
Example
Request
Here is an example of the request.
PATCH https://graph.microsoft.com/beta/me/contactFolders/{id}
Content-type: application/json
{
"parentFolderId": "parentFolderId-value",
"displayName": "displayName-value"
}
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"parentFolderId": "parentFolderId-value",
"displayName": "displayName-value",
"wellKnownName": "wellKnownName-value",
"id": "id-value"
}
Feedback
Submit and view feedback for